Click here to Skip to main content
15,908,274 members
Please Sign up or sign in to vote.
1.00/5 (2 votes)
See more:
Any idea about this error in gitlab-ci. Seems like the version of debhelper is not proper and I am not able to figure out what should be right version for this. Or there might be some other issue as well. Can anyone tell me what is the issue with this and how to resolve this?

$ dpkg-buildpackage -us -uc
dpkg-buildpackage: source package gentoo
dpkg-buildpackage: source version 0.9.12-1
dpkg-buildpackage: source changed by root <root@localhost>
dpkg-buildpackage: warning: debian/rules is not executable; fixing that
 dpkg-source --before-build edge_release_management
dpkg-buildpackage: host architecture amd64
dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 10)
dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
dpkg-buildpackage: warning: (Use -d flag to override.)


What I have tried:

here is my control file :
<pre>Source: gentoo
Section: unknown
Priority: optional
Maintainer: root <root@localhost>
Build-Depends: debhelper (>=10)
Standards-Version: 4.0.0
Homepage: <insert the upstream URL, if relevant>

Package: gentoo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>


here is my changelog file:
gentoo (0.9.12-1) unstable; urgency=medium
  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>
 -- root <root@localhost>  Mon, 22 Mar 2010 00:37:31 +0100


here is my gitlab-ci.yml file
# Is performed before the scripts in the stages step
before_script:  
  - source /etc/profile
  - echo "Hello, $GITLAB_USER_LOGIN!"
  - echo "Hello, $GITLAB_USER_PASSWORD"
#  - sudo rm /var/cache/apt/archives/lock
#  - sudo rm /var/lib/dpkg/lock
#  - sudo su
#  - sudo -S su < $password_secret

# Defines stages which are to be executed
stages:  
  - build

# Stage "build"
run-build:  
  stage: build
  script:
#    - apt-get install --force-yes libncurses5-dev libglib2.0-dev libgeoip-dev libtokyocabinet-dev zlib1g-dev libncursesw5-dev libbz2-dev
#    - autoreconf -fvi
#    - mkdir debian
    - ls
    - mkdir -p debian/usr/local/bin/
    - cp COPYING debian/copyright
    - cp ermbuild debian/usr/local/bin/ermbuild
#    - cp changelog debian
#    - cd ..
    - ls
#    - cd debian
    - pwd
    - ls
    - echo $EDITOR
#    - export EDITOR="/usr/bin/vim"
    - echo $EDITOR
#    - dch --create
#    - dpkg-depcheck -d ./configure #to check which all dependent packages are required 
    - dpkg-buildpackage -us -uc
    - mkdir build
    - mv ../ermbuild.deb build/

  # This stage is only executed for new tags
  only:
    - tags

  # The files which are to be made available in GitLab
  artifacts:
    paths:
      - build/*
Posted
Updated 7-Dec-22 1:36am

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900